  
var checkState_timer;
function GetCookie2(name) 
{
var strArg=name+"=";
var nArgLen=strArg.length;
var nCookieLen=document.cookie.length;
var nEnd;
var i=0;
var j;
while (i<nCookieLen) 
{
j=i+nArgLen;
if (document.cookie.substring(i,j)==strArg)
{
nEnd=document.cookie.indexOf (";",j);
if (nEnd==-1) nEnd=document.cookie.length;

return document.cookie.substring(j,nEnd);
}
i=document.cookie.indexOf(" ",i)+1;
if (i==0) break;
}
return null;
}
function checkState(){
var cookietag=GetCookie2("WebExam");
    if (cookietag=="Wenqing Cao")    
     
     {//window.location="about:blank";
     //window.document.close();
     window.document.body.innerHTML="现在系统认为正处于考试状态，该页不能被显示！";
     //window.document.open();window.document.clear();
     //document.write();window.document.close();
     window.status="现在系统认为正处于考试状态，该页不能被显示！"

       window.clearInterval(checkState_timer)
     //self.opener=null;self.close()

     }
   
 }
checkState();
checkState_timer=setInterval('checkState()',1000);